# $Revision: 1.22 $, $Date: 2008/07/27 22:32:20 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	BLOB-Handle
Summary:	DBIx::BLOB::Handle - read database large object binaries from file handles
Summary(pl.UTF-8):	DBIx::BLOB::Handle - czytanie obiektów BLOB z uchwytów plików
Name:		perl-DBIx-BLOB-Handle
Version:	0.2
Release:	6
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e23fbc1e9ca23295847cb94780262757
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-DBI
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBI has a blob_copy_to_file method which takes a file handle argument
and copies a database large object binary (LOB) to this file handle.
However, the method is undocumented and faulty. Constructing a similar
method yourself is pretty simple but what if you wished to read the
data and perform operations on it? You could use the DBI's blob_read
method yourself to process chunks of data from the LOB or even dump
its contents into a scalar, but maybe it would be nice to read the
data line by line or piece by piece from a familiar old filehandle?!

%description -l pl.UTF-8
DBI ma metodę blob_copy_to_file, która przyjmuje parametr będący
uchwytem pliku i kopiuje duże obiekty bazodanowe (LOB) do tego
uchwytu. Mimo to, ta metoda jest nieudokumentowana i zawiera błędy.
Stworzenie podobnej metody jest proste, ale co jeśli trzeba czytać
dane i przeprowadzać na nich operacje? Można użyć metody blob_read z
DBI do przetwarzania fragmentów danych z obiektu LOB albo nawet
zrzucać zawartość do zmiennej, ale może przyjemniej jest czytać dane
linia po linii lub kawałek po kawałku z normalnego uchwytu pliku?

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/DBIx/BLOB
%{perl_vendorlib}/DBIx/BLOB/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-BLOB-Handle.spec,v $
Revision 1.22  2008/07/27 22:32:20  arekm
- release 6

Revision 1.21  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 22:30:15  paladine
- formatting

Revision 1.18  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.13  2004/04/14 14:37:49  ankry
- cosmetics

Revision 1.12  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:45  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/25 23:45:13  radek
- BR: perl-DBI

Revision 1.3  2002/09/16 08:22:15  ankry
- added missing dir
- release 3

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
